//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//-----------------     SPIRIT 1 -----------------
//---------------     -------------------
//------       ---------
//--           --
//- :          -
//--          -
//----  :   yagov@promelec.ru  support@promelec.ru -----
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------


//   
const uint8_t GPIO0_CONF=0x02;



//    SPIRIT1
//  : 26
// : 433
//   : 12695
//  2-FSK
//   38kbps
//  : 20630
//  : 100.5
//   11.2dbm
//   Basic
//  Rx - Normal
//    - 9 ()
//   - 4 
//    - 4 
//   
// CRC   0x8005
//   
//  Tx - 
// FEC  - 
//   - 20  ( )
//   - 0x88888888
//  BROADCAST = 0, MULTICAST = 0, TX/RX = 0

const uint8_t CHNUM=0x0;
const uint8_t CHSPACE[4]={0x0D, 0xA3, 0x00, 0x00};
const uint8_t MOD1[4]={0x83, 0x0A, 0x45, 0x23};


//   
// ,  4    ST  
// synthWord = (uint32_t)((float)lFBase*(float)s_vectcBHalfFactor[band]*((float)FBASE_DIVIDER*cRefDiv/s_xRfBoardIdentification.nXtalFrequency));
// 
// lFBase -   
// s_vectcBHalfFactor -    ()   
// FBASE_DIVIDER = 2^18
// cRefDiv -   
// s_xRfBoardIdentification.nXtalFrequency -  

//     8-         (433):
const uint8_t SYNT3_1[4]={0x06, 0x3E, 0xC4, 0xFB};
const uint8_t SYNT3_2[4]={0x0C, 0x7D, 0x8A, 0x03};
const uint8_t SYNT3_3[4]={0x2C, 0x81, 0x16, 0x03};
const uint8_t SYNT3_4[4]={0x06, 0x3E, 0xC5, 0x03};

//  
//#define PREAMBLE_LENGTH             PKT_PREAMBLE_LENGTH_04BYTES
//#define SYNC_LENGTH                 PKT_SYNC_LENGTH_4BYTES
//#define SYNC_WORD                   0x88888888
//#define LENGTH_TYPE                 PKT_LENGTH_FIX
//#define LENGTH_WIDTH                7
//#define CRC_MODE                    PKT_NO_CRC
//#define CONTROL_LENGTH              PKT_CONTROL_LENGTH_0BYTES
//#define EN_ADDRESS                  S_DISABLE
//#define EN_FEC                      S_DISABLE
//#define EN_WHITENING                S_ENABLE
const uint8_t PCKTCTRL1=0x01;
const uint8_t PCKT_FLT_OPTIONS1=0x40;
const uint8_t PCKTCTRL4[10]={0x00,0x06,0x1E,0x50,0x00,0x00,0x88,0x88,0x88,0x88};

//  
//#define EN_FILT_MY_ADDRESS          S_DISABLE
//#define MY_ADDRESS                  0x44
//#define EN_FILT_MULTICAST_ADDRESS   S_DISABLE
//#define MULTICAST_ADDRESS           0xEE
//#define EN_FILT_BROADCAST_ADDRESS   S_DISABLE
//#define BROADCAST_ADDRESS           0xFF
//#define DESTINATION_ADDRESS         0x34
const uint8_t PCKT_FLT_OPTIONS2=0x40;
const uint8_t PCKT_FLT_GOALS_BROADCAST[3]={0xFF,0xEE,0x44};

// 
// RX_TIMEOUT
// RX_DATA_READY
// TX data sent
const uint8_t IRQ_MASK3[4]={0x20,0x00,0x00,0x05};
//const uint8_t IRQ_MASK3[4]={0xff,0xff,0xff,0xff};

//    20 
const uint8_t PCKTLEN1[2]={0x00,0x14};

//  SQI
const uint8_t QI=2;

//  TimeoutMs = 1000
const uint8_t TIMERS5_RX_TIMEOUT_PRESCALER[2]={0x9D,0x88};
//const uint8_t PCKT_FLT_OPTIONS3[2]={0x00,0x44};
const uint8_t PCKT_FLT_OPTIONS3[2]={0x40,0x44};
//   
// ( )

//    Rx
const uint8_t  SYNTH_CONFIG=0x5B;
const uint8_t  SYNT3[4]={0x26,0x40,0x8A,0xEB};
#define UNDOC1_BASE  ((uint8_t)(0xA9))      //  
const uint8_t UNDOC1[3]={0xA8,0x4B,0xFC};
const uint8_t PM_CONFIG1=0x90;
const uint8_t PA_POWER0=0x07;
// -  RX
#define UNDOC2_BASE  ((uint8_t)(0xA8))      //  
const uint8_t UNDOC21=0x10;
const uint8_t UNDOC22=0x00;

//------------------------------------------------------------------------------
//-----------------     SPIRIT 1 -----------------
//---------------     -------------------
//---------------          http://www.promelec.ru/           -------------------
//--------------------------           2012         ----------------------------
//------------------------------------------------------------------------------