//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//-----------------     SPIRIT 1 -----------------
//---------------     -------------------
//------       ---------
//--           --
//- :          -
//--          -
//----  :   yagov@promelec.ru  support@promelec.ru -----
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------

#include "main.h"

void main( void )
{
//    
HW_Config();
//  
LED_CONF();

Spirit_RX();


while (1){

if (STAGE==6)
{
//    "    "
  //  
    Spirit_Send_Command(COMMAND_FLUSHTXFIFO);
    Spirit_Write_Register(LINEAR_FIFO_ADDRESS, 20, (uint8_t*)TX_Array);
//   ""
    Spirit_TX();

  STAGE++;
}

if (STAGE==5)
{
  GPIO_ResetBits(GPIOB, GPIO_Pin_0 | GPIO_Pin_1);
  GPIO_ResetBits(GPIOD, GPIO_Pin_0);
    STAGE++;
}

if (STAGE==4)
{
  GPIO_ResetBits(GPIOB, GPIO_Pin_0 | GPIO_Pin_1);
  GPIO_ResetBits(GPIOD, GPIO_Pin_0);
  GPIO_SetBits(GPIOB, GPIO_Pin_0);
    STAGE++;
}

if (STAGE==3)
{
  GPIO_ResetBits(GPIOB, GPIO_Pin_0 | GPIO_Pin_1);
  GPIO_ResetBits(GPIOD, GPIO_Pin_0);
  GPIO_SetBits(GPIOD, GPIO_Pin_0);
    STAGE++;
}

if (STAGE==2)
{
  GPIO_ResetBits(GPIOB, GPIO_Pin_0 | GPIO_Pin_1);
  GPIO_ResetBits(GPIOD, GPIO_Pin_0);
  GPIO_SetBits(GPIOB, GPIO_Pin_1);
    STAGE++;
}

if (STAGE==1)
{
  GPIO_ResetBits(GPIOB, GPIO_Pin_0 | GPIO_Pin_1);
  GPIO_ResetBits(GPIOD, GPIO_Pin_0);
  GPIO_SetBits(GPIOD, GPIO_Pin_0);
    STAGE++;
}

if (STAGE==0)
{
  GPIO_ResetBits(GPIOB, GPIO_Pin_0 | GPIO_Pin_1);
  GPIO_ResetBits(GPIOD, GPIO_Pin_0);
  GPIO_SetBits(GPIOB, GPIO_Pin_0);
    STAGE++;
}


u8 J;
u16 I;
for (J=0; J<40; J++)
{
  for (I=0; I<2000; I++);
}

}

}

void HW_Config( void )
{
//    
//   
  GPIO_DeInit(GPIOA);
  GPIO_DeInit(GPIOB);
  GPIO_DeInit(GPIOC);
  GPIO_DeInit(GPIOD);
  
//       Spirit1
Spirit_HW_Config();

//     
GPIO_Init(GPIOB, GPIO_Pin_2, GPIO_Mode_In_FL_IT);
EXTI_SetPinSensitivity(EXTI_Pin_2, EXTI_Trigger_Falling );

//  
enableInterrupts();

//  Spirit1
Spirit_Reset();
Spirit_Radio_Init();
Spirit_Config();
Spirit_IRQ();
}

void LED_CONF()
{
//    
GPIO_Init(GPIOB, GPIO_Pin_0 | GPIO_Pin_1 , GPIO_Mode_Out_PP_Low_Fast);
GPIO_Init(GPIOD, GPIO_Pin_0, GPIO_Mode_Out_PP_Low_Fast);

//    "0"
  GPIO_ResetBits(GPIOB, GPIO_Pin_0 | GPIO_Pin_1);
  GPIO_ResetBits(GPIOD, GPIO_Pin_0);
}


//------------------------------------------------------------------------------
//---------------     SPIRIT 1 -------------------
//---------------     -------------------
//---------------          http://www.promelec.ru/           -------------------
//--------------------------           2012         ----------------------------
//------------------------------------------------------------------------------